Edit Own Roadmap Suggestion
Partial update of a suggestion the caller submitted. 403 if not the owner, or the suggestion is no longer 'suggested' (already promoted, rejected, or withdrawn).
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
item_id*Item Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/roadmap/suggestions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "description": "string", "status": "under_consideration", "body": "string", "submitted_by": "string", "is_mine": false, "net_score": 0, "upvotes": 0, "downvotes": 0, "my_vote": 1}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}